--
-- schlaeuche
-- Specialization for schlaeuche
--
-- @author Geri-G
-- @date  19/06/2011 v1.0 LS11
-- @web www.ls-modsource.com
--
-- Copyright (C) Geri-G, All Rights Reserved.

schlaeuche = {};

function schlaeuche.prerequisitesPresent(specializations)
    return true;
   -- return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function schlaeuche:load(xmlFile)
	self.FLSchlauch = Utils.indexToObject(self.components, getXMLString(xmlFile,"vehicle.frontloader#schlauchNode"))
end;

function schlaeuche:updateTick(dt)	

end;
function schlaeuche:update(dt)
	if self:getIsActive() and self.FLSchlauch ~= nil then
		setTranslation(self.FLSchlauch,unpack({worldToLocal(getParent(self.FLSchlauch),0,0,0)}));
	end;
end;

function schlaeuche:draw()

end;
function schlaeuche:onLeave()

end;

function schlaeuche:onEnter()

end;

function schlaeuche:delete()

end;

function schlaeuche:mouseEvent(posX, posY, isDown, isUp, button)
end;

function schlaeuche:keyEvent(unicode, sym, modifier, isDown)
end;

